from edu.iris.Fissures.IfEvent import EventAccessOperations

class Event(EventAccessOperations):
    def __init__(self, delegate):
        for m in dir(EventAccessOperations):
            if not m.startswith('_'):
                setattr(self, m, getattr(delegate, m))